For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardAPI PricingGet an API key
  • Guides
    • Introduction
    • Getting started
    • Use with AI agents
    • Examples
    • Authentication
    • Handling async tasks
    • File uploads
    • File hydration
    • Embedding videos
    • Errors
    • Rate limits
    • Libraries & SDKs
  • REST API Reference
    • Overview
    • Workflows
        • POSTGenerate image
        • POSTGenerate video clip
        • POSTText to speech
        • POSTGenerate sound effect
        • POSTGenerate avatar clip
        • POSTVectorize image
        • POSTRemove background from an image
        • POSTRemove background from a video
        • POSTUpscale an image
        • POSTUpscale a video
        • POSTCancel tool execution
        • GETGet tool execution info
        • GETList files
        • POSTSearch files
        • GETGet file
        • POSTCreate file upload
        • POSTHydrate file
        • POSTArchive file
        • POSTEnable public preview
        • POSTDisable public preview
        • GETList avatar presenters
        • GETList TTS voices
        • GETList webhooks
        • POSTCreate webhook
        • DELDelete webhook
  • Webhook events
    • Overview
    • Changelog
LogoLogo
DashboardAPI PricingGet an API key
REST API ReferenceEndpointsWebhooks

Delete webhook

DELETE
https://api.videogen.io/v1/webhooks/endpoints/:endpointId
DELETE
/v1/webhooks/endpoints/:endpointId
1import { VideoGenClient } from "@videogen/sdk";
2
3const client = new VideoGenClient({ token: "YOUR_TOKEN" });
4await client.webhooks.deleteWebhookEndpoint({
5 endpointId: "endpointId"
6});
Remove a webhook endpoint. It will stop receiving events immediately.
Was this page helpful?
Previous

Webhook events

Event payloads delivered to your registered webhook endpoints.
Next
Built with

Authentication

AuthorizationBearer

API key from app.videogen.io/developers. The full key is only shown once when you create it.

Path parameters

endpointIdstringRequired